loading/compiling previous versions of packages...

Barry Smith bnsmith001 at gmail.com
Fri Nov 21 16:21:14 GMT 2008


Derek,

>Did you try http://ubuntuforums.org/showthread.php?t=135036
Thank you for helping.  I'll check it out after ignoring your
first point, which hopefully was tongue-in-cheek.

> Do you know who you're emailing?

Of course, I know who I'm emailing.
I run Ubuntu, the most flexible Linux operating system available.

> This is Ubuntu, we don't do rpm unless forced.
Yet, RedHat rpm would have caught the dependency, and warned
that there was a dependency, as well as retrieving all dependencies
if told to... just like Synaptic or apt.
Unfortunately, the Debian distro of Hamachi didn't require a
dependency list, or the person creating the distro was lax in including
the "current (at the time) dependency of libcrypto.so.0.9.7 .

Either way, I will be emailing the person maintaining the Hamachi
disto to report the problem, _after_ I get _my_ install finished.

Thank you again for the link.

Peace,

Barry

On Thu, Nov 20, 2008 at 9:07 PM, Derek Broughton <news at pointerstop.ca>wrote:

> Barry Smith wrote:
>
> > I wanted to set up a program to access LogMeIn under Linux.
> > I downloaded the tar.gz Debian install of
> > hamachi-0.9.9.9-20-lnx-pentium.tar.gz,
> > Hamachi requires a libcrypto.so.0.9.7, which is the previous version
> > of libcrypto, or
> > the openssl package.
> >
> > Is there a simple way to tell Synaptic or RPM or yum or _SOMETHING_
> > to handle the dependencies... I know RPM might be able to do it, but
> > I'm not an RPM guru yet.
>
> Do you know who you're emailing?  This is Ubuntu, we don't do rpm unless
> forced.
>
> Apt is far better at handling dependencies than rpm, but when you're
> starting from a tarball, all bets are off anyway.
>
> > Please help me get Hamachi configured.  I followed the README
> > instructions, but can't hamachi-init without libcrypto.so.0.9.7 or the
> > previous openssl package
> > installed.
>
> Did you try http://ubuntuforums.org/showthread.php?t=135036
> --
> derek
>
>
> --
> ubuntu-users mailing list
> ubuntu-users at lists.ubuntu.com
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://lists.ubuntu.com/archives/ubuntu-users/attachments/20081121/2cc2dc0f/attachment.htm 


More information about the ubuntu-users mailing list